summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2010-12-19 14:51:46 +0000
committerJustin Lecher <jlec@gentoo.org>2010-12-19 14:51:46 +0000
commitf9dc3a5db811962c7a4c74a6d7a7bd2f655e7eac (patch)
tree2f751f147449f582393ea81b733027bf2447ab04 /eclass
parentwhitespace (diff)
downloadgentoo-2-f9dc3a5db811962c7a4c74a6d7a7bd2f655e7eac.tar.gz
gentoo-2-f9dc3a5db811962c7a4c74a6d7a7bd2f655e7eac.tar.bz2
gentoo-2-f9dc3a5db811962c7a4c74a6d7a7bd2f655e7eac.zip
Leaving ESVN_STORE_DIR after the subversion_src_unpack, so that subsequent commands act in not in ESVN_STORE_DIR
Diffstat (limited to 'eclass')
-rw-r--r--eclass/subversion.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 4055de9e27e6..2fb0a8f2c820 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.68 2010/06/22 18:34:29 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.69 2010/12/19 14:51:46 jlec Exp $
# @ECLASS: subversion.eclass
# @MAINTAINER:
@@ -221,7 +221,7 @@ subversion_fetch() {
mkdir -p "${ESVN_STORE_DIR}" || die "${ESVN}: can't mkdir ${ESVN_STORE_DIR}."
fi
- cd "${ESVN_STORE_DIR}" || die "${ESVN}: can't chdir to ${ESVN_STORE_DIR}"
+ pushd "${ESVN_STORE_DIR}" > /dev/null || die "${ESVN}: can't chdir to ${ESVN_STORE_DIR}"
local wc_path="$(subversion__get_wc_path "${repo_uri}")"
local options="${ESVN_OPTIONS} --config-dir ${ESVN_STORE_DIR}/.subversion"
@@ -328,6 +328,8 @@ subversion_fetch() {
rsync -rlpgo --exclude=".svn/" . "${S}" || die "${ESVN}: can't export to ${S}."
fi
+ popd > /dev/null
+
echo
}